import * as plugins from '../plugins.js';
import { Reception } from './classes.reception.js';

export class ReceptionDb {
  public smartdataDb: plugins.smartdata.SmartdataDb;
  public receptionRef: Reception;

  constructor(receptionRefArg: Reception) {
    this.receptionRef = receptionRefArg;
  }

  public async start() {
    console.log(this.receptionRef.options.mongoDescriptor);
    this.smartdataDb = new plugins.smartdata.SmartdataDb(this.receptionRef.options.mongoDescriptor);
    await this.smartdataDb.init();
  }

  public async stop() {
    await this.smartdataDb.close();
  }
}
